Subject: RE: IPR conditions for advancement - technology-rights-02 (was: R e: revised IDs)

From: "Contreras, Jorge" <[email-masked]>
Date: Wed, 5 Mar 2003 22:44:58 -0500

I'm happy to suggest some language to address John's concern, which is a valid one.  But first I'll discuss some thoughts around where such language should go, and to whom it should apply.  The language suggestions themselves come at the end...

It seems that the basis for this discussion derives from RFC 2026 Sections 4.1 and 6, which describe the procedure for advancement of documents along the standards track.  These Sections of 2026 are not currently being "clarified" by the Technology Rights document, which has purported to deal only with RFC 2026 Sec. 10 (IPR).  This being said, I have no problem with expanding the scope of the Technology Rights document to cover 2026 4.1 and 6 as well.

RFC 2026 4.1.2 deals with the advancement of documents from Proposed Standard to Draft Standard.  It states that "If patented or otherwise controlled technology is required for implementation, the separate implementations must also have resulted from separate exercise of the licensing process."  I believe that's the basis for the clarifications in 3.1 of the Technology Rights document.

However, unlike the set of obligations surrounding an IETF participant's obligation to disclose "reasonably and personally known" IPR in his/her contributions to IETF or in contributions of others, the disclosure obligations in 2026 4.1.2 center on the WG Chair.  4.1.2 states that "The Working Group chair is responsible for documenting the specific implementations which qualify the specification for Draft or Internet Standard status along with documentation about testing of the interoperation of these implementations.  The documentation must include information about the support of each of the individual options and features."  It seems like this is the place where additional language could be added, requiring some disclosure of the IPR licensing experience for the implementations of a Proposed Standard.  If so, it would be the WG Chair who needed to make the disclosure.

At first blush this might seem a little odd, as the WG Chair (and the other WG members other than the implementer) might not have much information about the licensing requirements for the implementation.  However, the WG Chair is charged under 2026 4.1.2 with providing the IESG with lots of other relevant information about the implementations of the Proposed Standard.  Presumably this other information must come from somewhere else (e.g., the implementers), so why not place the onus of disclosing the licensing information on the WG Chair along with this other information?

What about the implementers themselves?  They obviously have the most information about their implementations of a Proposed Standard.  Could they be required to make the IPR licensing disclosure that we're considering?  Possibly, but it would be a change to the current 2026 4.1/6 process for standards track advancement.  I may be missing something, but I don't see any other obligations of "implementers" in the standards advancement process.  On reflection this makes sense, since implementers may be people who are not part of a WG or who have deliberately declined to participate in a WG (perhaps because they hold IPR that they are not willing to disclose!)

So, it seems like we are talking about a disclosure that should be made by the WG Chair in the context of his/her description of implementations of a Proposed Standard or a Draft Standard.

Who else is implicated in this disclosure obligation?  Clearly, the WG Chair isn't taking personal responsibility for this task.  He/she simply represents/records the consensus of the WG.  Should all the members of the WG then be required to disclose what they know about the licensing requirements for the implementations of their Proposed and Draft Standards?  After all, they already *do* have an obligation to disclose their known IPR under Sec. 6.1.1 or 6.1.2 of the Technology Rights document.

If we can agree that the WG responsible for a Proposed or Draft Standard must come up with a disclosure about the licensing regime for that document, and that this disclosure will be recorded by the WG Chair and submitted to the IESG, we can think about the content of the licensing disclosure.  Without belaboring this subject any further, I'll throw out the following proposal for everyone to think about (and propose that it be added after the 2nd sentence of paragraph 3 of Section 4.1.2 of RFC 2026, or make it clear in 3.1 of the Tech Rights document that we are modifying this section):

"The Working Group Chair will also report whether such implementations have been made, used or sold pursuant to one or more licenses of patents or other intellectual property rights that have been disclosed to the Working Group by the implementor(s) and, if so, whether or not such licenses are known to the Working Group to be available on a royalty-free basis, a reasonable and non-discriminatory basis, or another basis."

Hopefully, something along these lines would give the IESG the type of information that John has suggested would be useful.  It also avoids placing any direct obligation on implementers (which would be hard to do, and which would be a deviation from current practice).  Rather, it simply allows the WG to pass along knowledge that it has obtained from the voluntary disclosures of implementers.

A stronger variant would encourage or require implementer employees who are part of the WG to disclose the licensing schema for their implementations, to the extent reasonably and personally known to those individuals.  While this approach could give the IESG got more useful information, it might also chill WG participation by implementers, or even deter the release of early implementations.  

Language to this effect (which I would add as a new part of Section 6 of the Tech Rights document) might read as follows: "Working Group participants who reasonably and personally know of licenses of patents or other intellectual property rights covering an implementation of a Draft Standard or Proposed Standard are encouraged to disclose to the Working Group Chair a brief description of the implementation and intellectual property rights in question and whether or not such licenses are, to such person's knowledge, available on a royalty-free basis, a reasonable and non-discriminatory basis, or another basis."

I don't have a good solution to the cross-license problem articulated by David Black.  If WG members are unaware of their employers' massive cross-licensing deals (some of which cover hundreds of patents), it seems unreasonable to require them to disclose something.

Jorge

-- 

-----Original Message-----
From: John C Klensin [mailto:[email-masked]]
Sent: Wednesday, March 05, 2003 10:51 AM
To: [email-masked]
Cc: [email-masked]; Contreras, Jorge
Subject: RE: IPR conditions for advancement - technology-rights-02 (was:
R e: revised IDs)

--On Wednesday, 05 March, 2003 10:09 -0500 "[email-masked]" 
<[email-masked]> wrote:

>...
>> It seems to be that asking someone whether they are aware,
>> based  on their implementation and deployment experience, of
>> any IPR  issues that would prevent someone else from
>> implementing and  deploying is not much different than asking
>> them if they really  implemented the standard and whether
>> they discovered anything  that would prevent someone else
>> from doing so (and doing so  interoperably).
>
> As long as this doesn't impose an obligation to search another
> company's patent portfolio in order to determine that a broad
> cross-license is not relevant to the implementation, I think
> that's ok, and I read John's "are aware" and "whether they
> discovered" language as being concerned with things known and
> affirmative steps taken rather than imposing obligations to
> ensure non-applicability of broad cross-licensing agreements.

That was certainly my intent, although my prediction would be 
that, in many cases, the level of knowledge would be somewhat 
higher than you infer.  In many, although certainly not all, 
organizations that have become sufficiently patent-sensitive to 
start doing extensive cross-licensing, the question "are there 
any encumbrances on this that we need to worry about" has gotten 
routine.  With many, although presumably not all, internal legal 
departments, if cross-licensing exists, the answer is more 
likely to come back "no, we have a cross-licensing deal with the 
claimant, so it isn't an issue" rather than "no" or "no 
problem".  And, if that first answer comes back, the information 
falls immediately into the "reasonably
and personally known" category (although I'm still hoping that 
Jorge will suggest some language).

I am certainly not trying to propose anything that requires 
either universal knowledge or the proof of a universal negative. 
And, if the answer from the legal dept is just "no", then the 
implementer isn't "aware" and hasn't "discovered", so there is 
no obligation.

We can only hope that such a provision doesn't encourage legal 
departments to keep implementers in the dark about what 
arrangements the company has but, if they do, I don't see what 
we can rationally do about it.

    john

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: Keith Moore <[email-masked]>
Date: Thu, 6 Mar 2003 00:07:36 -0500

two questions:

1. it seems to me that these days it's often the case that there is no WG, and
therefore no WG chair, by the time a document advances from Proposed to Draft.
I wonder if it's worth clarifying what to do regarding IPR disclosure and
other responsibilities associated with document advancement that are normally
delegated to the chair?

2. similarly, our process allows documents to go from Proposed all the
way to Internet Standard without there ever being a working group.   are our
processes clear with respect to IPR disclosure requirements when that happens?
(or does this have to be handled using the variance procedure?)

Keith

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Thu, 06 Mar 2003 09:02:54 +0100

--On torsdag, mars 06, 2003 00:07:36 -0500 Keith Moore <[email-masked]> 
wrote:

> two questions:
>
> 1. it seems to me that these days it's often the case that there is no
> WG, and therefore no WG chair, by the time a document advances from
> Proposed to Draft. I wonder if it's worth clarifying what to do regarding
> IPR disclosure and other responsibilities associated with document
> advancement that are normally delegated to the chair?

That's actually a deeper problem with our process.
I've got some ideas on how the process could be modified to address this, 
but I don't think this is the time or the place for it.

The traditional solution has been to do one of two:

- Allow a willing volunteer to assume the role that the working group chair 
would have had if the working group had been active. Quite often, this is a 
former working group chair.

- Reactivate the working group, or create a new one (often tagged with 
"bis" at the end of its name).

> way to Internet Standard without there ever being a working group.   are
> our processes clear with respect to IPR disclosure requirements when that
> happens? (or does this have to be handled using the variance procedure?)

In this case, only the "willing volunteer" approach works.

Should we add language to say that the IESG can allow a person without a WG 
to fulfil the role allocated to the WG chair wrt doc for Draft?

                   Harald

---

From: John C Klensin <[email-masked]>
Date: Thu, 06 Mar 2003 09:01:13 -0500

Jorge,

I think this points us in the right direction.   I see two loose 
ends, one of which is the "what if there is no WG" issue raised 
by Keith and addressed, I think correctly, by Harald.   The 
other is the situation that Scott and I have been feeling 
around...

We have seen a number of situations in which there are patent 
claims, but implementers, or their organizations, conclude that 
the patents are clearly inapplicable or that there is 
sufficiently obvious prior art that they can safely be ignored. 
For example, we have had a recent incident in which the method 
described by the patent doesn't overlap any of the methods by 
which the standard could be implemented (the standard went off 
in a different direction from the one anticipated by the 
standard).  Nonetheless, the IPR-owner sent off "you had better 
license our IPR" notes to potential implementers and the WG, 
apparently on the belief that the standard extended to any 
activity in the entire area to which the patent is addressed 
and, presumably in the hope that some groups would pay for 
licenses rather than thinking about the issues.   As far as I 
know, all of the implementers have chosen to ignore the letters; 
I don't know if the letters have had a chilling effect on other 
possible implementations.

We certainly would not want to do anything that forces people 
into licensing in a case like this in order to advance the 
standard.  An informed decision to ignore the IPR claims, and, 
ideally, the information tbat the claimant has been unwilling or 
unable to enforce those claims, is at least as useful and valid 
for us as evidence of a license on appropriate terms.  Scott has 
suggested, and I agree, that we cannot necessarily expect a 
company that decides a patent claim can safely be ignored to be 
public about that, but that was exactly why I was skirting 
around "no known impediments" language rather than "we have 
licensed, and..." text.

regards,
    john

--On Wednesday, 05 March, 2003 22:44 -0500 "Contreras, Jorge" 
<[email-masked]> wrote:

> I'm happy to suggest some language to address John's concern,
> which is a valid one.  But first I'll discuss some thoughts
> around where such language should go, and to whom it should
> apply.  The language suggestions themselves come at the end...
>
> It seems that the basis for this discussion derives from RFC
> 2026 Sections 4.1 and 6, which describe the procedure for
>...